Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.CompareFeatureElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.CompareFeatureElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess`
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.CompareFeatureElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompareFeatureElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()` |
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getEqualityEnumLiteralDeclaration_0()` |
    `org.eclipse.xtext.Keyword` | `getEqualityEqualsSignEqualsSignKeyword_0_0()` |
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getInequalityEnumLiteralDeclaration_1()` |
    `org.eclipse.xtext.Keyword` | `getInequalityExclamationMarkEqualsSignKeyword_1_0()` |
    `org.eclipse.xtext.EnumRule` | `getRule()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompareFeatureElements

          public CompareFeatureElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.EnumRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getEqualityEnumLiteralDeclaration_0

          public org.eclipse.xtext.EnumLiteralDeclaration getEqualityEnumLiteralDeclaration_0()

    - #### getEqualityEqualsSignEqualsSignKeyword_0_0

          public org.eclipse.xtext.Keyword getEqualityEqualsSignEqualsSignKeyword_0_0()

    - #### getInequalityEnumLiteralDeclaration_1

          public org.eclipse.xtext.EnumLiteralDeclaration getInequalityEnumLiteralDeclaration_1()

    - #### getInequalityExclamationMarkEqualsSignKeyword_1_0

          public org.eclipse.xtext.Keyword getInequalityExclamationMarkEqualsSignKeyword_1_0()